package com.ebaiyihui.family.doctor.common.vo.cloudHis;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author lc
 * @date 2024/03/25
 * @description
 */

@Data
public class AppPointRequestDTO implements Serializable {

    /**
     * 证件类型1:身份证类型，2：户口本
     */
    @ApiModelProperty(value = "证件类型1:身份证类型，2：户口本")
    private String cardType;

    @ApiModelProperty(value = "社保卡信息串")
    private String socialCardInfo;


    @ApiModelProperty(value = "社保卡号")
    private String socialCardNo;

    /**
     * 姓名
     */
    @ApiModelProperty(value =  "姓名")
    private String name;


    @ApiModelProperty(value = "卡识别码")
    private String cardSn;

    /**
     * 备注
     */
    @ApiModelProperty(value = "不填证件号原因备注")
    private String patientRemark;

    /**
     * 门诊类型
     */
    @ApiModelProperty(value = "门诊类型")
    private String outpatientType;

    /**
     * 科室表主键id
     */
    @ApiModelProperty(value = "科室表主键id")
    private Integer deptId;

    /**
     * 出生日期
     */
    @ApiModelProperty(value =  "出生日期")
    private String birthday;

    /**
     * 性别1：男，2：女
     */
    @ApiModelProperty(value = "性别1：男，2：女")
    private String sex;

    /**
     * 证件号
     */
    @ApiModelProperty(value =  "证件号")
    private String cardNo;

    /**
     * 手机号
     */
    @ApiModelProperty(value = "手机号")
    private String phone;

    /**
     * 接诊医生表名称
     */
    @ApiModelProperty(value = "接诊医生表名称")
    private String doctorName;

    /**
     * 医保类型
     */
    @ApiModelProperty(value = "医保类型")
    private String medicalType;


    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 年龄
     */
    @ApiModelProperty(value =  "年龄")
    private Integer age;


    /**
     * 接诊医生表主键id
     */
    @ApiModelProperty(value = "接诊医生表主键id")
    private Integer doctorId;

    /**
     * 科室表主键名称
     */
    @ApiModelProperty(value = "科室表主键名称")
    private String deptName;

    /**
     * 门诊类型【1:普通门诊 2:专家门诊】
     */
    @ApiModelProperty(value = "门诊类型【1:普通门诊 2:专家门诊】")
    private String outpatientTypeName;

    /**
     * 医院名字
     */
    @ApiModelProperty(value = "医院名字")
    private String hospitalName;


    /**
     * 门诊号
     */
    @ApiModelProperty(value ="门诊号")
    private String outpatientNo;

    /**
     * 就诊状态【1:候诊中，2就诊中，3已完成，4已取消】
     */
    @ApiModelProperty(value ="就诊状态【1-10:候诊中，20-29诊中，30-40已完成，40-50已取消】")
    private Integer status;
}
